| Kea 3.0.2-git

rrclass.h File Reference
`#include <util/buffer.h>`
`#include <stdint.h>`
`#include <string>`
`#include <ostream>`
`#include <dns/exceptions.h>`
`#include <boost/optional.hpp>`
Include dependency graph for rrclass.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dns::IncompleteRRClass
| A standard DNS module exception that is thrown if an RRClass object is being constructed from a incomplete (too short) wire-format data. More...
class | isc::dns::InvalidRRClass
| A standard DNS module exception that is thrown if an RRClass object is being constructed from an unrecognized string. More...
class | isc::dns::RRClass
| The `RRClass` class encapsulates DNS resource record classes. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dns

## Functions
ostream & | isc::dns::operator<< (std::ostream &os, const RRClass &rrclass)
| Insert the `RRClass` as a string into stream.